from functools import reduce


def moon_sum(a, b):
    if len(a) < len(b):
        a, b = b, a
    s = ""
    for i in range(1, len(a) + 1):
        if len(b) >= i:
            s += str(max(int(a[-i]), int(b[-i])))
        else:
            s += a[-i]
    return s[::-1]


def moon_multiply(a, b):
    if len(a) < len(b):
        a, b = b, a
    arr = []
    for i in range(len(b)):
        s = ""
        for k in range(len(a)):
            s += str(min(b[i], a[k]))
        arr.append(s + "0" * (len(b) - i - 1))
    s = reduce(moon_sum, arr)
    return s


a, b = input(), input()
print(moon_sum(a, b), moon_multiply(a, b))

